
QGIS Application - Bug report #2510

Basic statistics tool crashes qgis/throws an error on PostGIS layers

2010-03-07 02:40 AM - dr -

Status: Closed

Priority: Low

Assignee: cfarmer -

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12570

Description

Basic statistic tool doesn't work on [[PostGIS]] layers.

[http://gis-lab.info/share/DR/basic-statistics-postgis.png]

Associated revisions

Revision 2b2acc21 - 2010-03-08 10:23 PM - cfarmer -

Basic statistics tool should no longer crash with PostGIS layers. Also adds support for varchar, char, and text fields (PostGIS layers). Should fix #2510

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@13028 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 7bfbb762 - 2010-03-08 10:23 PM - cfarmer -

Basic statistics tool should no longer crash with PostGIS layers. Also adds support for varchar, char, and text fields (PostGIS layers). Should fix #2510

git-svn-id: http://svn.osgeo.org/qgis/trunk@13028 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-03-07 02:47 AM - Giovanni Manghi

On linux the terminal message is
Warning: QPixmap: It is not safe to use pixmaps outside the GUI thread

Warning: QPixmap: It is not safe to use pixmaps outside the GUI thread

Warning: QPixmap: It is not safe to use pixmaps outside the GUI thread

<unknown>: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.0

#2 - 2010-03-08 01:25 PM - cfarmer -

- Resolution set to fixed

- Status changed from Open to Closed

This should be fixed in commit:7bfbb762 (SVN r13029). Tested here with several [[PostGIS]] layers and now everything runs fine. Please test and reopen

if necessary. If problem persists, please consider providing access to a test [[PostGIS]] database, for testing.

-Carson
